from distutils.core import setup
from Cython.Build import cythonize
from distutils.extension import Extension
import numpy


extensions = [
    Extension('function_call', ['source/function_call.pyx', 'source/set_integer.cpp'],
              include_dirs=['include',numpy.get_include()],
              extra_compile_args=['-std=c++20'],
              language='c++'
              ),
]

setup(
    ext_modules=cythonize(extensions),
    # extra_compile_args=["-w", '-g'],
)